.netPAYMENT
Return to Introduction
Please feel free to navigate this help document for information on installation, developer documentation, reference, samples, support and licensing.


Overview

Overview of .netPAYMENT
dotnetpayment
.netPAYMENT is a payment processing and recurring billing solution for ASP.NET. In addition to leveraging years of advanced payment support from .netCHARGE, .netPAYMENT adds unique features including email notification and automated recurring billing.

.netPAYMENT Product Features:

General Features:
· Customers database
· Customer payment details supporting multiple cards per customer
· Ability to define subscriptions
· Support for automatic prorated billings
· Reporting options including current (transactions already run) and future (transactions scheduled to run) reports
· Multi-threaded agent to run outstanding transactions at set intervals automatically
· complete notification system with customized template support and notifications for receipt, failed transactions, subscriptions close to lapsing, lapsed subscriptions, and cards close to expiry.
· Advanced processor / gateway support with 50+ companies

Learn more about .netPAYMENT features at our web site.


Gateways / Processors
.netPAYMENT includes the proven transaction processing engine of .netCHARGE which has been in commercial use since 2001. The following gateways / processors are currently supported:

· NaviGate http://www.merchantplus.com/
· Realex Payments http://www.realexpayments.com/
· InnovativeGateway/Merchant (Quickbooks) http://www.innovativemerchant.com/
· SecurePay: http://www.securepay.com
· YourPay: http://www.yourpay.com
· Concord: http://www.concordefsnet.com
· CyberSource http://www.cybersource.com
· Trust Commerce http://www.trustcommerce.com
· OptimalPayments http://www.optimalpayments.com
· ESecPayments http://www.esecpayments.com.au
· Vital / Visanet Native - http://www.vitalps.com
· Protx - http://www.protx.com
· Ogone - http://www.ogone.com
· PlugnPay - http://www.plugnpay.com
· Paymentech Native Processor - http://www.paymentech.com
· Paymentech Orbital Gateway - http://www.paymentech.com
· Echo - http://www.echo-inc.com
· Moneris - http://www.moneris.com
· Authoize.net AIM with eCHECK / Wells Fargo - http://www.authorize.net
· Nova Native Processor - http://www.novainfo.com
· Bank Of America - http://www.bankofamerica.com
· WorldPay (International) - http://www.worldpay.com
· Authorize.net - http://www.authorize.net
· PayflowPro - http://www.verisign.com
· LinkPoint - http://www.linkpoint.com
· Itransact - http://www.itransact.com
· PayReady - http://www.PayReady.net
· PayflowLink - http://www.verisign.com
· Intellipay - http://www.intellipay.com
· viaKLIX (Nova) - http://www.novainfo.com
· Ecx - http://www.ecx.com
· eProcessing - http://www.eprocessingnetwork.com
· PlanetPayment - http://www.planetpayment.com
· Mcps - http://www.merchantcommerce.net
· Cybercash - http://www.cybercash.com
· SkipJack - http://www.skipjack.com
· Itransact - http://www.itransact.com
· PayReady - http://www.PayReady.net
· NetBilling - http://www.netbilling.com
· ioNgate - http://www.iongate.com
· PSiGate - http://www.psigate.com
· PayCom - http://www.paycom.net
· ePoch - http://www.ePochsystems.com
· Barclays ePDQ http://www.barclaycard.co.uk
· HSBC UK http://www.ukbusiness.hsbc.co.uk
· PayPal Pro (direct PayPal) http://www.paypal.com

If you would like to see a new payment gateway or processor supported in .netPAYMENT please email info@dotnetpayment.com with your request.


Installation
System Requirements provides information on the minimum requirements for running .netPAYMENT.

Instructions provides information on how to install .netPAYMENT


System Requirements
.netPAYMENT is designed to be used in a web server environment.

Supported Operating System:
· Windows 2000 Server
· Windows XP Professional
· Windows 2000 Professional
· Windows Server 2003

Additional Requirements:
· ASP.NET 2.0 and IIS 5.0 or later.
· An access database is included (automatically generated). .netPAYMENT can also work with SQL server, Oracle and MySQL which are optional.

Downloads and Links:
If you are running a supported Operating system but are not yet running ASP.NET 2.0 it can be downloaded here.

Shared Hosting Support:
· .netPAYMENT may be used with shared hosting providers. If you have a hosting account with ASP.NET support you can install .netPAYMENT yourself by copying the required files to your site via FTP. No special installation is required by your web hosting provider however you will need to grant write permissions on the /database directory and ensure an application is created on IIS for the directory you install .netPAYMENT into.


Instructions
.netPAYMENT can be deployed quickly and easily without any special installation or registration requirements. It will work with a dedicated server, shared server, hosted server etc. so long as the server supports ASP.NET - as soon as you copy your files to your web server you can start using .netPAYMENT!

Procedure:
· Unzip distribution
· Copy / FTP web files to a directory of your choice within your web servers root directory
· Ensure that dotnetpayment.dll and your purchase key are located in the /bin directory and that the /bin directory is in the root (top level) of your web site or, if not, that you have created an application for the subdirectory which contains your /bin directory.
· Set the file permissions as detailed below in "Write Permission Requirements"
· You may now use the .netPAYMENT samples by loading the admin through http://localhost/admin (assuming installing in the root it would be http://localhost/dotnetpayment/admin if you installed in a directory or virtual directory called dotnetpayment within your root). Enter "admin" and "pass" to login. You can change this after login from the change password menu.
· For email functionality within .netPAYMENT to function, you must set your email server details in the system settings page.

Using a Virtual Directory:
· Unzip distribution
· Place files in any directory you wish
· Using the IIS administration (MMC), create a virtual directory under your web site pointing to the unpacked directory that contains the .netPAYMENT files. Click here for more information on virtual directory creation.
· You may now use the .netPAYMENT samples through http://localhost/vdirname where vdirname is the name of the virtual directory you created.

Write Permission Requirements: .netPAYMENT uses a database and configuration file to store user and configuration information. For this reason you will need to enable write permissions on your /database directory to use .netPAYMENT. Many hosts provide a web interface which enables you to directly grant such permissions, if your host does not you would need to email them and request that write permissions be granted on your database directory (not required if using SQL Server). If you are deploying this locally on Windows XP running IIS the "ASPNET" user would need to be granted write permissions for the same.

Email Sending:
For email functionality within .netPAYMENT to function, you must set your email server details in the system settings page.

Security Checklist:
Please ensure you have reviewed and are in compliance with the security checklist before making your application live.

Common Installation Errors:
Server Error in '/' Application.
--------------------------------------------------------------------------------

Configuration Error
Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.

Parser Error Message: Could not load type 'dotnetPAYMENT.WebAdmin.RedirectionHandler'.

Resolution: You must create an application on the directory which contains your /bin. If you miss this step, you will see the error detailed above. If you are using a shared hosting provided please email your hosting support and ask that they create an application on the directory where you deployed .netPAYMENT. For example if you uploaded it to your site www.somedomain.com in the /dotnetpayment directory then they will need to create an application on www.somedomain.com/dotnetpayment. Most hosts will also provide a web interface which enables you to create such applications yourself. You must also ensure that write permissions are enabled on teh /database directory and that your application created on the directory is setup for asp.net 2.0 and not asp.net 1.x.


Included Files
The dotnetpayment.zip bundle includes the following files and directories:

/admin
The admin directory contains the files to manage the .netPAYMENT system. To view the admin you can load www.yourdomain.com/dotnetpayment/admin (assuming you installed .netPAYMENT into a subdirectory called dotnetpayment in your site). You will be prompted for an username and password, enter admin and pass to login. This password can be changed from the settings menu under change password.

/App_GlobalResources
This directory contains the strings.resx which you can modify to customize any string return in .netPAYMENT or customize for usage with a different language.

/bin
The bin directory contains the dotnetpayment.dll and CustomerAdmin.dll component and license key.

/CustomerAdmin
A directory with a sample customerAdmin project is included. The CustomerAdmin project shows how signup could be accepted through a form generating an user with a recurring billing. It also shows how the user can update his or her information or get a new password through email. This project is included as a starting point for integrating .netPAYMENT into your own site and demonstrates optional programmatic usage of the product. Usage of the customer admin project is not required and .netPAYMENT could be used directly without advanced integration by entering information directly using the provided web admin interface.

/database
The database directory includes the database used by .netPAYMENT. By default, a sample MS Access database is created that is automatically configured for immediate use. To enhance security the database is named with a .config rather than a .mdb extension. For different database types, you need only create an empty database, and .netPAYMENT will automtically create the tables when you connect to your database using the System Settings-> Database tab.

dotnetpayment.chm
The .netPAYMENT help file in windows compiled help format.


Version History
Version History:

2/19/2007 .netPAYMENT 1.0
· forced login and password changes
· audit trail logging added for all admin actions
· secure storage through DPAPI to protect stored card data
· full card numbers only visible when admin viewed through SSL
· full card numbers can not be sent via email
· provides Refund, Void and Credit options depending on the selected processor/gateway using the web interface

7/18/2006 .netPAYMENT RC1
· beta 1 bugs fixed
· mail sending updated

4/4/2006 .netPAYMENT Beta 2 (closed)
· NEW: threaded agent support
· NEW: databases: official support for MS Access and MS SQL Server. Preliminary support for Oracle and MySQL.
· NEW: automated database creation subsystem
· UPDATED: documentation and samples
· FIXED: bug fixes from beta 1

2/21/2006 .netPAYMENT Beta 1 (closed)
· first public release to closed beta group


Security Checklist
Requirements for securely using .netPAYMENT:

1. Do not retain full magnetic stripe or CVV2 data: The application does not store the full contents of any track from the magnetic stripe (on the back of a card, in a chip, etc.) or CVV2 data. You should ensure your own implementation also does not store any of these values.

2. Protect stored data: To protect credit card numbers, by default .netPAYMENT masks account numbers when displayed (the first four and last four digits are the maximum number of digits to be displayed). There is an option in system settings to control this feature for those employees and other parties with a specific need to see full credit card numbers. In this case the values will only show unmasked if you view the admin pages through SSL.

3. Protect your Encryption Password: .netPAYMENT allows you to store the
encryption password outside of the web root and supports further protection
with the DPAPI (see system settings)

4. Protect your database: .netPAYMENT supports SQL server and Oracle databases which do not require that the database server and web server be on the same server, or in the DMZ with the web server. It allows the database stored in a system securely and independently of the web server.

5. Provide secure password features: .netPAYMENT requires username with at least 7 characters and password with at least 7 alpha-numeric characters. For your security, choose a unique username and complex password for all administrative access and access to cardholder data. These controls are applicable for POS (point-of-sale) access by employees with administrative capabilities, or for server access controlled by the application.

.netPAYMENT requires encryption password with at least 7 alpha-numeric characters.

Access to PCs, servers, and databases with payment applications should require a unique username and complex password. No shared accounts or passwords, passwords should be changed every 90 days, password length of at least 7 characters long, passwords with both numeric and alphabetic characters, special characters are accepted, password history is maintained, etc.

6. Log application activity: .netPAYMENT logs all administrator login and activity in NPAYLOGS table. The logs must be checked frequently to make sure there is no any unauthorized or suspect activities.

7. Protect wireless transmissions: If wireless technology is used within the payment environment, it must be implemented securely. We suggest to not utilize any wireless connectivity.

8. Facilitate secure remote access to application: If employees, administrators, or vendors can access the application remotely, you should IP filter for the specific hosts and access should be authenticated using a 2-factor authentication mechanism. We suggest limiting access to systems with your network or to a specific system if only one system is used.


User Documentation
Information including an overview with default login username and password information along with a breakdown of the specific web administration options.


Overview
.netPAYMENT includes a comprehensive administration system for managing all aspects of your password protection, user authentication and membership system. You can view the administration system by entering http://www.yourdomain.com/dotnetpayment/admin/ (assuming you installed in a dotnetpayment subdirectory) or http://www.yourdomain.com/admin/ (assuming you installed in the root of your web site).

When you reach the admin directory you will be prompted to enter an username and password and should provide:

Username: admin
Password: pass

On your first login you wil be prompted to provide a new password for security purposes. Please ensure you select a secure password with at least 1 number and one symbol and at least 6 characters in length. You can use this new password you select in the future with the "admin" user to gain access to the web administration system.


Administration
.netPAYMENT administration documentation has 5 main sections: Customers, reports, subscriptions, agent and settings.


Customers
Customers provides an interface to add, view, edit and delete customers and their details.


General
When selecting the customer list a tabbed interface is displayed. This can be used to select a subset of users to view or page through. Clicking an user name will display the user details.

Two buttons are provided to add a new customer or to delete selected customers. Customers are selected when the check box next to their name is marked.

Adding a customer: When you select to add a customer you will be prompted to enter their contact and address information including first name, last name, email, phone, fax, city, state/province, country, address, and zip/postal code. After saving, a tab will appear for customer cards, after saving a customer card, a tab will appear for billings.


Customer Cards
Customer cards provides a list of credit card details for a given customer. Typically there would only be a single card however multiple cards are supported. A new card can be added with the add card button. Cards can be deleted by selecting the check box next to the card details and clicking the delete cards button.

Add new card: Accepts card number, expire month, expire year, and the name on the card.


Billings
A billing represents a defined charge or set of charges for a customer.

Subscription selection enables the billing settings to be populated based on a predefined subscription setting. The individual settings can also be manually modified:

Select Card: A dropdown which provides a list of available customer cards, the selected card will be billed for the billing created.

Initial Amount: The starting amount billed for the subscription in dollars and cents "29.95"

Period Amount: The recurring amount to be billed each month after the starting amount. This is only required if different than the starting amount.

Period Value: The number of days, weeks, months or years for the subscription period. One time billing provides Sale and possibly credit, void and refund depending on the selected processor/gateway.

Pro-rated: Determines if the subscription is prorates or not. This means if a given user signs up on any day but the period anniversary a proportional amount to bring them to the anniversery date will be charged for the first payment and subsequent payments will be billed the full period amount. For example, if billing $10 each month if someone started on the 1st of the month they would be billed $10 for the first month and each month thereafter, always on the 1st of each month. If they signed up on the 20th of the month and there were 30 days in the month then they would be charged $3.33 for the portion of the first month that was still outstanding and then be billed the full amount on the 1st of each subsequent month.

Start Date: An arbirtrary future start date before which no billings would be automatically run for the subscription.

Stop Date: An arbirtrary future stop date after which no further billings would be automatically run for the subscription.

Maximum billings count: An arbirtrary maximum number of billings the subscription will run for after which no further billings would be automatically run.

Billing Status: A given billing will run only when active. When creating a new billing, the active checkbox should be checked. After a billing reaches the maximum billing count or stop date, it will automatically become inactive. You can activate the billing again by extending the stop date or maximum billings count if applicable and checking the active check box.


Reports
Options for current and future reports of payment data.


Current Reports
Tabular data reports for sales and billings with options to limit on customers, subscription and date range. A current report covers billings that have already been completed.


Future Reports
Tabular data reports for sales and billings with options to limit on customers, subscription and date range. A future report covers billings that have not yet been completed but are scheduled to run. This can provide an approximate focast for future billings.


Subscriptions
Subscriptions represent a predefined set of options for billings. Options include to add a new plan or delete selected plans.

Add new plan: Provides inputs for subscription name, initial amount, period amount, period value, is pro rated, stop date and maximum billings count.

Edit Plan: You can select a given plan name to view the details, any updates are saved if you click the save subscription button.


Agent
The agent is an automated system which will run billing on set intervals.

Options are available to start the agent and to shut down the agent thread which automatically starts with the application. In addition, a summary is provided with the total transactions along with a breakdown of the number that processed, failed and timed out.

The agent runs in the background to process transactions on a regular interval as defined in system settings.

If stopped you can start the thread, if running it can be manually stopped.

The agent status will report one of the following conditions: In Processing or Idle.
When scheduled transactions are actively being processed, the status is "In Processing".
Otherwise is idle. You can initiate the agent to start processing any outstanding transactions by clicking on "start agent" while the status is idle.


Settings
Settings including notifications, system, processor, password and error logs.


Notifications
Controls the automated email notifications sent on the following events:

Receipt Notification: A notification email that is sent when the system receives a new transaction which processed without error.

Failed Transaction: A notification email sent when a transactions fails to process.

Close to lapsing: A notification email sent when a subscription is close to being expired. See system settings to determine the threshold for this notification.

Lapsed: A notification email sent when a subscription has expired.

Card expired: A notification email sent when a card is set to expire. See system settings to determine the threshold for this notification.

Tokens are supported for customer data and can be added to the body or subject of any notification email. When a given message is sent, tokens are replaced with the user specific data for that particular notification.


System settings
System settings include the general settings for .netPAYMENT including:

Period to run agent (hours): How frequently in hours the billing agent will automatically run any outstanding transactions.

Run agent at 12:00:00 AM: Run the agent automatically at midnight.

Period to prevent failed transactions charge again (hours): After a given transaction fails the system can wait to attempt the same transaction again until a later date. Typically this would be set for 24 hours or more.

Processing batch size: The maximum number of transactions the agent will run at one time.

Maximum failed transactions before make billing inactive: The maximum number of failed transactions that will run before a given billing will be made inactive (such billings would no longer run unless manually activated).

Charge transactions individually: When a given billing has multiple charges outstanding this option determines if they will be run once with a single charge for the total amount or if each will be charged individually.

Charge timeout (sec): Typically this would not be modified. This settings determines how long the payment engine will wait before timing out.

Admin notification settings: The administration email notifications settings.

· SMTP server: The full server address of the sending SMTP server.
· SMTP Username: The username for SMTP server authentication.
· SMTP Password: The password for SMTP server authentication.
· Administrator email: The email address used for the from address for notification emails.
· Administrator name for email: The email name used for the from address for notification emails.
· Days before card expired: Number of days before expiry to notify customer for card expired notification.
· Billing count remaining before close to lapsing notification: The remaining billing count for a given subscription before the close to lapsing notification is sent.
· Send error message on prevalidation error: Determines if error messages will be sent on prevalidation returns from the integrated .netCHARGE.

Customer's fields settings: Detemines which customer fields are required for payment information. Options include First name, Last name, Phone, Fax, City, State/Province, Country, Address, ZipPostal, E-mail.

Start dates:
· Start day of week: The day to be considered the starting day of the week. Options include: Monday Tuesday Wednesday Thursday Friday Saturday and Sunday.
· Start day of month: Options from 1 to 31.
· Start day of year: The month and day to be considered the starting day of the year.

Secure properties display options:
· Encryption password: The password is used to encrypt the card number when inserting to the database.
· Use Data Protection API: Determines if DPAPI is used to protect the encryption password.
· Encryption password path: enables you to store the encryption password outside of the web root or on another system.
· Show full CC number to admin: Determine if such details are visible to admin.
· Show full CC number to user: Determine if such details are visible to users.


Processor settings
Processor / Gateway specific settings including selection and login details along with the card types accepted.

Credit Cards Tab: Determine the type of credit cards accepted and if cvv2 is required when the customer sign up for a subscription. The card code (cvv2) is never stored.


Database Settings
.netPAYMENT supports 4 types of databases: MS Access, MS Sql server, MySQL and Oracle. .netPAYMENT will automatically create the database"dotnetPAYMENTdb.config" in database folder when running for the first time. "dotnetPAYMENTdb.config" is a valid Access database that can be directly opened using MS Access. This database is renamed to .config as IIS does not allow for download of .config files.

To work with another database type, you need only create an empty database and then, setup your specific login and database details in this section.

The database structure and sample data will be automatically created for you when switching database types. NOTE: MS SQL Server and MS Access have been extensively tested; however, MySQL and Oracle support are currently in beta. If you have any troubles working with these databases please email info@dotnetpayment.com with details of your issues.


Change password
Enables you to modify the username and password for the administrative account.

Inputs include login, old password, new password, new password again (confirmation).


Error Logs
Displays a listing of any unexpected errors the system encountered. Typically this would remain empty.


Custom Properties
This feature allows you to add an unlimited number of custom properties to the customer's record. It supports options for text box (string), email, text area, number and drop down list.


Support
Before contacting support be sure to read the frequent questions listings and review the support policy.


Frequent Questions
Can .netPAYMENT be used in a traditional ASP script?
No, it requires ASP.NET, for more information please see the system requirements.

Which processors and gateways does .netPAYMENT support?
.netPAYMENT utilizes the provide functionality of .netCHARGE for running individual charges. For a complete list please see processors and gateways in this document.

Does .netPAYMENT require a separate license for .netCHARGE?
No, it is seamlessly integrated and if you have a license of .netPAYMENT you do not need a license of .netCHARGE to process credit card transactions with .netPAYMENT. If you have other payment processing needs, you may choose to license a stand alone version of .netCHARGE for those needs.

If I have a license for .netPAYMENT can I use the stand alone version of .netCHARGE?
No, a separate license would be required for that case.

Does .netPAYMENT require ASP.NET 2.0?
Yes, if you try and run it with ASP.NET 1.x you may see:
Server Error in '/' Application.
-------------------
Configuration Error
Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.

Parser Error Message: Could not load type dotnetPAYMENT.WebAdmin.RedirectionHandler from assembly System.Web, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a.
-------------------

Change your ASP.NET version for the IIS application from 1.x to 2.0 to resolve the issue.

Requirements for Medium Trust:
Many web hosts now implement a CAS (code access security) policy of medium trust. Actually, most use a custom medium deployment as by default medium trust would not allow you to modify files, use access databases, connect to web sites programmatically etc. The following permissions would be required in addition to medium trust to use .netPAYMENT on a shared host:

To use an MS Access DB:
OleDbPermission

To use MS Sql Server:
SqlClientPermission

To use the .netPAYMENT SMTP mail system:
SocketPermission

To use DPAPI (additional security for encrypted data):
DataProtectionPermission

.netPAYMENT has been deployed and tested with hosts in medium trust without error. If you are looking for a host that is known to work out of the box with .netPAYMENT try www.dotnetserver.com risk free with a free month and free setup.


Support Policy
30 days of priority email support is provided with purchase.

Support is offered for evaluations / presales on an as available basis.

Priority support contracts can be purchased and per incident priority email support is also available for purchase.

Please contact info@dotnetpayment.com if you wish to purchase additional support.


Contacting Support
You can contact support by emailing info@dotnetpayment.com

Please be sure to include the following information:
· Your orderid provided when you purchased .netPAYMENT
· A detailed description of your problem
· An exact error message if applicable
· Specifics of your server environment

When you provide complete information with your support request it enables us to assist you more quicky and often resolve any issue with a single email.


Licensing Information
This section includes information on pricing as well as the license agreement.


Pricing & Purchase
.netPAYMENT is Licensed per web site:

Single Site $395: Usage for a single web site with one payment provider (gateway login / merchant account) on one server.

When you purchase .netPAYMENT you are asked to provide your web site address. Your license is bound to this address and allows for the product to work on this site address only.


License Agreement
This license agreement is a legal agreement between you and Corporate Web Solutions Ltd. for .netPAYMENT. By using this product/key you agree to be bound by the terms of this agreement.

This software/key is protected by national and international copyright laws. This software/key is licensed, not sold.

Granted Rights: This license grants you the right to install this software/key for use on a single (1) web site for the domain specified when your key was purchased. In addition, you may use the product for local development through localhost a single (1) computer system. This product/key is licensed per site (also known as per domain). This product may be used with a single merchant account / gateway login only.

Limitations: You may not reverse engineer, decompile, or disassemble .netPAYMENT. You may not rent or lease this software/key, you may not transfer your rights under this license agreement. A license may not be used for any domain other than that specified at the time of purchase, licenses can not be transfered to different domains. .netPAYMENT is designed to be used in web sites for payment processing. .netPAYMENT is not a development tool and may not be used in any other application outside of a web server environment. .netPAYMENT may not be integrated with or incorporated into any software product or script sold or offered to any 3rd party. A single .netPAYMENT license may not be used in an ISP / Mall environment, each site must have its own unique license.

Ownership: Corporate Web Solutions Ltd. retains ownership of the software/key.

Liability: In no event shall Corporate Web Solutions Ltd. be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of information or any other pecuniary loss) arising out of the use of inability to use this software/key, even if Corporate Web Solutions Ltd. has been advised of the possibility of such damages.

Termination: Without prejudice to any other rights, Corporate Web Solutions Ltd. may terminate this license agreement if you fail to comply with the terms and conditions of this agreement. In such event, you must destroy all copies of .netPAYMENT, any derivative work, and all of its component parts.

General: By installing this software/key you acknowledge that you have read this license agreement, understand it, and agree to be bound by its terms and conditions.


.topic 10
Please feel free to navigate this help document for information on installation, developer documentation, reference, samples, support and licensing.

.topic 208540

.netPAYMENT is a payment processing and recurring billing solution for ASP.NET.  In addition to leveraging years of advanced payment support from .netCHARGE, .netPAYMENT adds unique features including email notification and automated recurring billing.

.netPAYMENT Product Features:

General Features:
Customers database
Customer payment details supporting multiple cards per customer
Ability to define subscriptions
Support for automatic prorated billings
Reporting options including current (transactions already run) and future (transactions scheduled to run) reports
Multi-threaded agent to run outstanding transactions at set intervals automatically
complete notification system with customized template support and notifications for receipt, failed transactions, subscriptions close to lapsing, lapsed subscriptions, and cards close to expiry.
Advanced processor / gateway support with 50+ companies

Learn more about .netPAYMENT features at our web site.

.topic 209690
.netPAYMENT includes the proven transaction processing engine of .netCHARGE which has been in commercial use since 2001.  The following gateways / processors are currently supported:

NaviGate http://www.merchantplus.com/
Realex Payments http://www.realexpayments.com/
InnovativeGateway/Merchant (Quickbooks) http://www.innovativemerchant.com/
SecurePay: http://www.securepay.com
YourPay: http://www.yourpay.com
Concord: http://www.concordefsnet.com
CyberSource http://www.cybersource.com
Trust Commerce http://www.trustcommerce.com
OptimalPayments http://www.optimalpayments.com
ESecPayments http://www.esecpayments.com.au
Vital / Visanet Native - http://www.vitalps.com
Protx - http://www.protx.com
Ogone - http://www.ogone.com
PlugnPay - http://www.plugnpay.com
Paymentech Native Processor - http://www.paymentech.com
Paymentech Orbital Gateway - http://www.paymentech.com
Echo - http://www.echo-inc.com
Moneris - http://www.moneris.com
Authoize.net AIM with eCHECK / Wells Fargo - http://www.authorize.net
Nova Native Processor - http://www.novainfo.com
Bank Of America - http://www.bankofamerica.com
WorldPay (International) - http://www.worldpay.com
Authorize.net - http://www.authorize.net
PayflowPro - http://www.verisign.com
LinkPoint - http://www.linkpoint.com
Itransact -  http://www.itransact.com
PayReady - http://www.PayReady.net
PayflowLink - http://www.verisign.com
Intellipay - http://www.intellipay.com
viaKLIX (Nova) - http://www.novainfo.com
Ecx - http://www.ecx.com
eProcessing - http://www.eprocessingnetwork.com
PlanetPayment - http://www.planetpayment.com
Mcps - http://www.merchantcommerce.net
Cybercash - http://www.cybercash.com
SkipJack - http://www.skipjack.com
Itransact - http://www.itransact.com
PayReady - http://www.PayReady.net
NetBilling - http://www.netbilling.com
ioNgate - http://www.iongate.com
PSiGate - http://www.psigate.com
PayCom - http://www.paycom.net
ePoch - http://www.ePochsystems.com
 Barclays ePDQ http://www.barclaycard.co.uk
 HSBC UK http://www.ukbusiness.hsbc.co.uk
 PayPal Pro (direct PayPal) http://www.paypal.com

If you would like to see a new payment gateway or processor supported in .netPAYMENT please email info@dotnetpayment.com with your request.

.topic 208550
System Requirements provides information on the minimum requirements for running .netPAYMENT.

Instructions provides information on how to install .netPAYMENT

.topic 208560
.netPAYMENT is designed to be used in a web server environment.

Supported Operating System:
Windows 2000 Server
Windows XP Professional
Windows 2000 Professional
Windows Server 2003

Additional Requirements:
ASP.NET 2.0 and IIS 5.0 or later.
An access database is included (automatically generated).  .netPAYMENT can also work with SQL server, Oracle and MySQL which are optional.

Downloads and Links:
If you are running a supported Operating system but are not yet running ASP.NET 2.0 it can be downloaded here.

Shared Hosting Support:
.netPAYMENT may be used with shared hosting providers.  If you have a hosting account with ASP.NET support you can install .netPAYMENT yourself by copying the required files to your site via FTP.  No special installation is required by your web hosting provider however you will need to grant write permissions on the /database directory and ensure an application is created on IIS for the directory you install .netPAYMENT into.

.topic 208570
.netPAYMENT can be deployed quickly and easily without any special installation or registration requirements.  It will work with a dedicated server, shared server, hosted server etc. so long as the server supports ASP.NET - as soon as you copy your files to your web server you can start using .netPAYMENT!

Procedure:
Unzip distribution
Copy / FTP web files to a directory of your choice within your web servers root directory
Ensure that dotnetpayment.dll and your purchase key are located in the /bin directory and that the /bin directory is in the root (top level) of your web site or, if not, that you have created an application for the subdirectory which contains your /bin directory.
Set the file permissions as detailed below in "Write Permission Requirements"
You may now use the .netPAYMENT samples by loading the admin through http://localhost/admin (assuming installing in the root it would be http://localhost/dotnetpayment/admin if you installed in a directory or virtual directory called dotnetpayment within your root).  Enter "admin" and "pass" to login.  You can change this after login from the change password menu.
For email functionality within .netPAYMENT to function, you must set your email server details in the system settings page.

Using a Virtual Directory:
Unzip distribution
Place files in any directory you wish
Using the IIS administration (MMC), create a virtual directory under your web site pointing to the unpacked directory that contains the .netPAYMENT files.  Click here for more information on virtual directory creation.
You may now use the .netPAYMENT samples through http://localhost/vdirname where vdirname is the name of the virtual directory you created.

Write Permission Requirements: .netPAYMENT uses a database and configuration file to store user and configuration information. For this reason you will need to enable write permissions on your /database directory to use .netPAYMENT.  Many hosts provide a web interface which enables you to directly grant such permissions, if your host does not you would need to email them and request that write permissions be granted on your database directory (not required if using SQL Server).  If you are deploying this locally on Windows XP running IIS the "ASPNET" user would need to be granted write permissions for the same.

Email Sending:
For email functionality within .netPAYMENT to function, you must set your email server details in the system settings page.

Security Checklist:
Please ensure you have reviewed and are in compliance with the security checklist before making your application live.

Common Installation Errors:
Server Error in '/' Application.
--------------------------------------------------------------------------------

Configuration Error
Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.

Parser Error Message: Could not load type 'dotnetPAYMENT.WebAdmin.RedirectionHandler'.

Resolution: You must create an application on the directory which contains your /bin.  If you miss this step, you will see the error detailed above.  If you are using a shared hosting provided please email your hosting support and ask that they create an application on the directory where you deployed .netPAYMENT.  For example if you uploaded it to your site www.somedomain.com in the /dotnetpayment directory then they will need to create an application on www.somedomain.com/dotnetpayment.  Most hosts will also provide a web interface which enables you to create such applications yourself. You must also ensure that write permissions are enabled on teh /database directory and that your application created on the directory is setup for asp.net 2.0 and not asp.net 1.x.

.topic 208780
The dotnetpayment.zip bundle includes the following files and directories:

/admin
The admin directory contains the files to manage the .netPAYMENT system. To view the admin you can load www.yourdomain.com/dotnetpayment/admin (assuming you installed .netPAYMENT into a subdirectory called dotnetpayment in your site). You will be prompted for an username and password, enter admin and pass to login. This password can be changed from the settings menu under change password.

/App_GlobalResources
This directory contains the strings.resx which you can modify to customize any string return in .netPAYMENT or customize for usage with a different language.

/bin
The bin directory contains the dotnetpayment.dll and CustomerAdmin.dll component and license key.

/CustomerAdmin
A directory with a sample customerAdmin project is included. The CustomerAdmin project shows how signup could be accepted through a form generating an user with a recurring billing. It also shows how the user can update his or her information or get a new password through email.  This project is included as a starting point for integrating .netPAYMENT into your own site and demonstrates optional programmatic usage of the product.  Usage of the customer admin project is not required and .netPAYMENT could be used directly without advanced integration by entering information directly using the provided web admin interface.

/database
The database directory includes the database used by .netPAYMENT. By default, a sample MS Access database is created that is automatically configured for immediate use. To enhance security the database is named with a .config rather than a .mdb extension. For different database types, you need only create an empty database, and .netPAYMENT will automtically create the tables when you connect to your database using the System Settings-> Database tab.

dotnetpayment.chm
The .netPAYMENT help file in windows compiled help format.

.topic 209720
Version History:

2/19/2007 .netPAYMENT 1.0
forced login and password changes
audit trail logging added for all admin actions
secure storage through DPAPI to protect stored card data
full card numbers only visible when admin viewed through SSL
full card numbers can not be sent via email
provides Refund, Void and Credit options depending on the selected processor/gateway using the web interface

7/18/2006 .netPAYMENT RC1
beta 1 bugs fixed
mail sending updated

4/4/2006 .netPAYMENT Beta 2 (closed)
NEW: threaded agent support
NEW: databases: official support for MS Access and MS SQL Server.  Preliminary support for Oracle and MySQL.
NEW: automated database creation subsystem
UPDATED: documentation and samples
FIXED: bug fixes from beta 1

2/21/2006 .netPAYMENT Beta 1 (closed)
first public release to closed beta group

.topic 209730
Requirements for securely using .netPAYMENT:

1. Do not retain full magnetic stripe or CVV2 data: The application does not store the full contents of any track from the magnetic stripe (on the back of a card, in a chip, etc.) or CVV2 data.  You should ensure your own implementation also does not store any of these values.

2. Protect stored data: To protect credit card numbers, by default .netPAYMENT masks account numbers when displayed (the first four and last four digits are the maximum number of digits to be displayed). There is an option in system settings to control this feature for those employees and other parties with a specific need to see full credit card numbers.  In this case the values will only show unmasked if you view the admin pages through SSL.

3. Protect your Encryption Password: .netPAYMENT allows you to store the
encryption password outside of the web root and supports further protection
with the DPAPI (see system settings)

4. Protect your database: .netPAYMENT supports SQL server and Oracle databases which do not require that the database server and web server be on the same server, or in the DMZ with the web server. It allows the database stored in a system securely and independently of the web server.

5. Provide secure password features: .netPAYMENT requires username with at least 7 characters and password with at least 7 alpha-numeric characters. For your security, choose a unique username and complex password for all administrative access and access to cardholder data. These controls are applicable for POS (point-of-sale) access by employees with administrative capabilities, or for server access controlled by the application.

 .netPAYMENT requires encryption password with at least 7 alpha-numeric characters.

Access to PCs, servers, and databases with payment applications should require a unique username and complex password. No shared accounts or passwords, passwords should be changed every 90 days, password length of at least 7 characters long, passwords with both numeric and alphabetic characters, special characters are accepted, password history is maintained, etc.

6. Log application activity: .netPAYMENT logs all administrator login and activity in NPAYLOGS table.  The logs must be checked frequently to make sure there is no any unauthorized or suspect activities.

7. Protect wireless transmissions: If wireless technology is used within the payment environment, it must be implemented securely.  We suggest to not utilize any wireless connectivity.

8. Facilitate secure remote access to application: If employees, administrators, or vendors can access the application remotely, you should IP filter for the specific hosts and access should be authenticated using a 2-factor authentication mechanism.  We suggest limiting access to systems with your network or to a specific system if only one system is used.

.topic 208790
Information including an overview with default login username and password information along with a breakdown of the specific web administration options.

.topic 208800
.netPAYMENT includes a comprehensive administration system for managing all aspects of your password protection, user authentication and membership system.  You can view the administration system by entering http://www.yourdomain.com/dotnetpayment/admin/ (assuming you installed in a dotnetpayment subdirectory) or http://www.yourdomain.com/admin/ (assuming you installed in the root of your web site).

When you reach the admin directory you will be prompted to enter an username and password and should provide:

Username: admin
Password: pass

On your first login you wil be prompted to provide a new password for security purposes.  Please ensure you select a secure password with at least 1 number and one symbol and at least 6 characters in length.  You can use this new password you select in the future with the "admin" user to gain access to the web administration system.

.topic 208810
.netPAYMENT administration documentation has 5 main sections: Customers, reports, subscriptions, agent and settings.

.topic 209450
Customers provides an interface to add, view, edit and delete customers and their details.

.topic 209660
When selecting the customer list a tabbed interface is displayed.  This can be used to select a subset of users to view or page through.  Clicking an user name will display the user details.

Two buttons are provided to add a new customer or to delete selected customers.  Customers are selected when the check box next to their name is marked.

Adding a customer: When you select to add a customer you will be prompted to enter their contact and address information including first name, last name, email, phone, fax, city, state/province, country, address, and zip/postal code. After saving, a tab will appear for customer cards, after saving a customer card, a tab will appear for billings.

.topic 209670
Customer cards provides a list of credit card details for a given customer.  Typically there would only be a single card however multiple cards are supported.  A new card can be added with the add card button.  Cards can be deleted by selecting the check box next to the card details and clicking the delete cards button.

Add new card:   Accepts card number, expire month, expire year, and the name on the card.

.topic 209680
A billing represents a defined charge or set of charges for a customer.

Subscription selection enables the billing settings to be populated based on a predefined subscription setting.  The individual settings can also be manually modified:

Select Card:  A dropdown which provides a list of available customer cards, the selected card will be billed for the billing created.

Initial Amount: The starting amount billed for the subscription in dollars and cents "29.95"

Period Amount: The recurring amount to be billed each month after the starting amount.  This is only required if different than the starting amount.

Period Value: The number of days, weeks, months or years for the subscription period. One time billing provides Sale and possibly credit, void and refund depending on the selected processor/gateway.

Pro-rated: Determines if the subscription is prorates or not.  This means if a given user signs up on any day but the period anniversary a proportional amount to bring them to the anniversery date will be charged for the first payment and subsequent payments will be billed the full period amount.  For example, if billing $10 each month if someone started on the 1st of the month they would be billed $10 for the first month and each month thereafter, always on the 1st of each month.  If they signed up on the 20th of the month and there were 30 days in the month then they would be charged $3.33 for the portion of the first month that was still outstanding and then be billed the full amount on the 1st of each subsequent month.

Start Date: An arbirtrary future start date before which no  billings would be automatically run for the subscription.

Stop Date: An arbirtrary future stop date after which no further billings would be automatically run for the subscription.

Maximum billings count: An arbirtrary maximum number of billings the subscription will run for after which no further billings would be automatically run.

Billing Status:  A given billing will run only when active. When creating a new billing, the active checkbox should be checked. After a billing reaches  the maximum billing count or  stop date, it will automatically become inactive. You can activate the billing again by extending the stop date or maximum billings count if applicable and checking the active check box.

.topic 209460
Options for current and future reports of payment data.

.topic 209550
Tabular data reports for sales and billings with options to limit on customers, subscription and date range.  A current report covers billings that have already been completed.

.topic 209560
Tabular data reports for sales and billings with options to limit on customers, subscription and date range.  A future report covers billings that have not yet been completed but are scheduled to run.  This can provide an approximate focast for future billings.

.topic 209470
Subscriptions represent a predefined set of options for billings.  Options include to add a new  plan or delete selected plans.

Add new plan: Provides inputs for subscription name, initial amount, period amount, period value, is pro rated, stop date and maximum billings count.

Edit Plan: You can select a given plan name to view the details, any updates are saved if you click the save subscription button.

.topic 209480
The agent is an automated system which will run billing on set intervals.

Options are available to start the agent and to shut down the agent thread which automatically starts with the application.  In addition, a summary is provided with the total transactions along with a breakdown of the number that processed, failed and timed out.

The agent runs in the background to process transactions on a regular interval as defined in system settings.

If stopped you can start the thread, if running it can be manually stopped.

The agent status will report one of the following conditions: In Processing or Idle.
When scheduled transactions are actively being processed, the status is "In Processing".
Otherwise is idle. You can initiate the agent to start processing any outstanding transactions by clicking on "start agent" while the status is idle.

.topic 209490
Settings including notifications, system, processor, password  and error logs.

.topic 209500
Controls the automated email notifications sent on the following events:

Receipt Notification: A notification email that is sent when the system receives a new transaction which processed without error.

Failed Transaction: A notification email sent when a transactions fails to process.

Close to lapsing:  A notification email sent when a subscription is close to being expired.  See system settings to determine the threshold for this notification.

Lapsed:  A notification email sent when a subscription has expired.

Card expired: A notification email sent when a card is set to expire.  See system settings to determine the threshold for this notification.

Tokens are supported for customer data and can be added to the body or subject of any notification email.  When a given message is sent, tokens are replaced with the user specific data for that particular notification.

.topic 209510
System settings include the general settings for .netPAYMENT including:

Period to run agent (hours): How frequently in hours the billing agent will automatically run any outstanding transactions.

Run agent at 12:00:00 AM: Run the agent automatically at midnight.

Period to prevent failed transactions charge again (hours): After a given transaction fails the system can wait to attempt the same transaction again until a later date.  Typically this would be set for 24 hours or more.

Processing batch size: The maximum number of transactions the agent will run at one time.

Maximum failed transactions before make billing inactive: The maximum number of failed transactions that will run before a given billing will be made inactive (such billings would no longer run unless manually activated).

Charge transactions individually:  When a given billing has multiple charges outstanding this option determines if they will be run once with a single charge for the total amount or if each will be charged individually.

Charge timeout (sec):  Typically this would not be modified.  This settings determines how long the payment engine will wait before timing out.

Admin notification settings:  The administration email notifications settings.

SMTP server: The full server address of the sending SMTP server.
SMTP Username: The username for SMTP server authentication.
SMTP Password: The password for SMTP server authentication.
Administrator email: The email address used for the from address for notification emails.
Administrator name for email: The email name used for the from address for notification emails.
Days before card expired: Number of days before expiry to notify customer for card expired notification.
Billing count remaining before close to lapsing notification:  The remaining billing count for a given subscription before the close to lapsing notification is sent.
Send error message on prevalidation error: Determines if error messages will be sent on prevalidation returns from the integrated .netCHARGE.

Customer's fields settings: Detemines which customer fields are required for payment information.  Options include First name, Last name, Phone, Fax, City, State/Province, Country, Address, ZipPostal, E-mail.

Start dates:
Start day of week: The day to be considered the starting day of the week.  Options include:   Monday Tuesday Wednesday Thursday Friday Saturday and Sunday.
Start day of month: Options from 1 to 31.
Start day of year:  The month and day to be considered the starting day of the year.

Secure properties display options:
Encryption password: The password is used to encrypt the card number when inserting to the database.
Use Data Protection API: Determines if DPAPI is used to protect the encryption password.
Encryption password path: enables you to store the encryption password outside of the web root or on another system.
Show full CC number to admin:  Determine if such details are visible to admin.
Show full CC number to user:  Determine if such details are visible to users.

.topic 209520
Processor / Gateway specific settings including selection and login details along with the card types accepted.

Credit Cards Tab: Determine the type of credit cards accepted and if cvv2 is required when the customer sign up for a subscription.  The card code (cvv2) is never stored.

.topic 209700
.netPAYMENT supports 4 types of databases: MS Access, MS Sql server, MySQL and Oracle.  .netPAYMENT will automatically create the database"dotnetPAYMENTdb.config" in database folder when running for the first time. "dotnetPAYMENTdb.config" is a valid Access database that can be directly opened using MS Access. This database is renamed to .config as IIS does not allow for download of .config files.

To work with another database type, you need only create an empty database and then, setup your specific login and database details in this section.

The database structure and sample data will be automatically created for you when switching database types. NOTE: MS SQL Server and MS Access have been extensively tested; however, MySQL and Oracle support are currently in beta. If you have any troubles working with these databases please email info@dotnetpayment.com with details of your issues.

.topic 209530
Enables you to modify the username and password for the administrative account.

Inputs include login, old password, new password, new password again (confirmation).

.topic 209540
Displays a listing of any unexpected errors the system encountered.  Typically this would remain empty.

.topic 209710
This feature allows you to add an unlimited number of custom properties to the customer's record. It supports options for text box (string), email, text area, number and drop down list.

.topic 208630
Before contacting support be sure to read the frequent questions listings and review the support policy.

.topic 208640
Can .netPAYMENT be used in a traditional ASP script?
No, it requires ASP.NET, for more information please see the system requirements.

Which processors and gateways does .netPAYMENT support?
.netPAYMENT utilizes the provide functionality of .netCHARGE for running individual charges.  For a complete list please see processors and gateways in this document.

Does .netPAYMENT require a separate license for .netCHARGE?
No, it is seamlessly integrated and if you have a license of .netPAYMENT you do not need a license of .netCHARGE to process credit card transactions with .netPAYMENT.  If you have other payment processing needs, you may choose to license a stand alone version of .netCHARGE for those needs.

If I have a license for .netPAYMENT can I use the stand alone version of .netCHARGE?
No, a separate license would be required for that case.

Does .netPAYMENT require ASP.NET 2.0?
Yes, if you try and run it with ASP.NET 1.x you may see:
Server Error in '/' Application.
-------------------
Configuration Error
Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.

Parser Error Message: Could not load type dotnetPAYMENT.WebAdmin.RedirectionHandler from assembly System.Web, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a.
-------------------

Change your ASP.NET version for the IIS application from 1.x to 2.0 to resolve the issue.

Requirements for Medium Trust:
Many web hosts now implement a CAS (code access security) policy of medium trust.  Actually, most use a custom medium deployment as by default medium trust would not allow you to modify files, use access databases, connect to web sites programmatically etc.  The following permissions would be required in addition to medium trust to use .netPAYMENT on a shared host:

To use an MS Access DB:
OleDbPermission

To use MS Sql Server:
SqlClientPermission

To use the .netPAYMENT SMTP mail system:
SocketPermission

To use DPAPI (additional security for encrypted data):
DataProtectionPermission

.netPAYMENT has been deployed and tested with hosts in medium trust without error.  If you are looking for a host that is known to work out of the box with .netPAYMENT try  www.dotnetserver.com risk free with a free month and free setup.

.topic 208650
30 days of priority email support is provided with purchase.

Support is offered for evaluations / presales on an as available basis.

Priority support contracts can be purchased and per incident priority email support is also available for purchase.

Please contact info@dotnetpayment.com if you wish to purchase additional support.

.topic 208660
You can contact support by emailing info@dotnetpayment.com

Please be sure to include the following information:
Your orderid provided when you purchased .netPAYMENT
A detailed description of your problem
An exact error message if applicable
Specifics of your server environment

When you provide complete information with your support request it enables us to assist you more quicky and often resolve any issue with a single email.

.topic 208670
This section includes information on pricing as well as the license agreement.

.topic 208700
.netPAYMENT is Licensed per web site:

Single Site $395: Usage for a single web site with one payment provider (gateway login / merchant account) on one server.

When you purchase .netPAYMENT you are asked to provide your web site address.  Your license is bound to this address and allows for the product to work on this site address only.

.topic 208680
This license agreement is a legal agreement between you and Corporate Web Solutions Ltd. for .netPAYMENT. By using this product/key you agree to be bound by the terms of this agreement.

This software/key is protected by national and international copyright laws. This software/key is licensed, not sold.

Granted Rights: This license grants you the right to install this software/key for use on a single (1) web site for the domain specified when your key was purchased.  In addition, you may use the product for local development through localhost a single (1) computer system.  This product/key is licensed per site (also known as per domain). This product may be used with a single merchant account / gateway login only.

Limitations: You may not reverse engineer, decompile, or disassemble .netPAYMENT.  You may not rent or lease this software/key, you may not transfer your rights under this license agreement.  A license may not be used for any domain other than that specified at the time of purchase, licenses can not be transfered to different domains.  .netPAYMENT is designed to be used in web sites for payment processing. .netPAYMENT is not a development tool and may not be used in any other application outside of a web server environment.  .netPAYMENT may not be integrated with or incorporated into any software product or script sold or offered to any 3rd party.  A single .netPAYMENT license may not be used in an ISP / Mall environment, each site must have its own unique license.

Ownership: Corporate Web Solutions Ltd. retains ownership of the software/key.

Liability: In no event shall Corporate Web Solutions Ltd. be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of information or any other pecuniary loss) arising out of the use of inability to use this software/key, even if Corporate Web Solutions Ltd. has been advised of the possibility of such damages.

Termination: Without prejudice to any other rights, Corporate Web Solutions Ltd. may terminate this license agreement if you fail to comply with the terms and conditions of this agreement. In such event, you must destroy all copies of .netPAYMENT, any derivative work, and all of its component parts.

General: By installing this software/key you acknowledge that you have read this license agreement, understand it, and agree to be bound by its terms and conditions.

.topic 208730
To create a virtual directory you should complete the following steps:

1) Open the MMC (Microsoft Management Console) also called Internet Services Management or commonly referred to as the IIS administration.
2) You will see a list of snap ins, one of which will be called Internet Information Server.  Under this you will see your server name, select this server to view a list of sites running on the server
3) Select the site you wish to add a virtual directory for, right click on this site and select "new", "virtual directory"
4) You will be prompted to enter the alias, this is the name you want to access the content through for example enter "dotnetpayment" and select next
5) You will be prompted to enter the physical path, this is the path where you unpacked .netPAYMENT, for example "c:\dotnetpayment"
6) Select "next" and "finish" on the final page.

Your virtual directory is now setup, and you can load the administration through http://www.yoursiteaddress.com/dotnetpayment/admin/

.topic 209050
The list control is used throughout .netPAYMENT and enables you to select, edit, search and navigate through large lists of information (for example users).

The list control consits of a number of top level tabs:

*: This tab lists all items.
#: This tab lists all items starting with a number.
A-Z: These tabs list all items starting with the letter of the tab.
Search: This tab switches to a search view which will return a subset of the items which match your search criteria.
Show All:  This tab appears only after a search is performed, it will return the listing to show all items.

Under the list control are often action buttons such as:

Add, Delete, Activate, or Disable.

Beside each entry in the list control will sometimes be a check box, when you check the box you can take an action on multiple list items at once, for example deleting multiple entries.

Drill Down:  In many lists there will be columns of additional information or values.  If a colume value has a hyperlink, it can be clicked for more information.  Typically the main column values can be clicked to edit a specific item.  Other related column items can be clicked to view details on them.

Paging:  When a large number of items are included in a list, even selecting a tab such as "A" may return more entries than can fit on the screen.  In such a case paging is added on the bottom left of the list control. You can select the paging tabs to view pages of entries available from the tab.  The number ranges for a given paging tab list the items for that tab for example 1-10 would be the first tab for the first 10 items.

In summary, the list control is a main user interface component of .netPAYMENT.  It is designed to quickly and easily locate information within very large sets of data.


List Control
The list control is used throughout .netPAYMENT and enables you to select, edit, search and navigate through large lists of information (for example users).

The list control consits of a number of top level tabs:

*: This tab lists all items.
#: This tab lists all items starting with a number.
A-Z: These tabs list all items starting with the letter of the tab.
Search: This tab switches to a search view which will return a subset of the items which match your search criteria.
Show All: This tab appears only after a search is performed, it will return the listing to show all items.

Under the list control are often action buttons such as:

Add, Delete, Activate, or Disable.

Beside each entry in the list control will sometimes be a check box, when you check the box you can take an action on multiple list items at once, for example deleting multiple entries.

Drill Down: In many lists there will be columns of additional information or values. If a colume value has a hyperlink, it can be clicked for more information. Typically the main column values can be clicked to edit a specific item. Other related column items can be clicked to view details on them.

Paging: When a large number of items are included in a list, even selecting a tab such as "A" may return more entries than can fit on the screen. In such a case paging is added on the bottom left of the list control. You can select the paging tabs to view pages of entries available from the tab. The number ranges for a given paging tab list the items for that tab for example 1-10 would be the first tab for the first 10 items.

In summary, the list control is a main user interface component of .netPAYMENT. It is designed to quickly and easily locate information within very large sets of data.


Virtual Directory Creation
To create a virtual directory you should complete the following steps:

1) Open the MMC (Microsoft Management Console) also called Internet Services Management or commonly referred to as the IIS administration.
2) You will see a list of snap ins, one of which will be called Internet Information Server. Under this you will see your server name, select this server to view a list of sites running on the server
3) Select the site you wish to add a virtual directory for, right click on this site and select "new", "virtual directory"
4) You will be prompted to enter the alias, this is the name you want to access the content through for example enter "dotnetpayment" and select next
5) You will be prompted to enter the physical path, this is the path where you unpacked .netPAYMENT, for example "c:\dotnetpayment"
6) Select "next" and "finish" on the final page.

Your virtual directory is now setup, and you can load the administration through http://www.yoursiteaddress.com/dotnetpayment/admin/